package com.galaxis.manatee.webservice;

import io.spring.guides.gs_producing_web_service.GetCountryRequest;
import io.spring.guides.gs_producing_web_service.GetCountryResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.ws.server.endpoint.annotation.Endpoint;
import org.springframework.ws.server.endpoint.annotation.PayloadRoot;
import org.springframework.ws.server.endpoint.annotation.RequestPayload;
import org.springframework.ws.server.endpoint.annotation.ResponsePayload;

@Endpoint
public class CountryEndpoint {
	private static final String NAMESPACE_URI = "http://spring.io/guides/gs-producing-web-service";

	private CountryRepository countryRepository;

	@Autowired
	public CountryEndpoint(CountryRepository countryRepository) {
		this.countryRepository = countryRepository;
	}

	@PayloadRoot(namespace = NAMESPACE_URI, localPart = "getCountryRequest")
	@ResponsePayload
	public GetCountryResponse getCountry(@RequestPayload GetCountryRequest request) {
		GetCountryResponse response = new GetCountryResponse();
		response.setCountry(countryRepository.findCountry(request.getName()));
		return response;
	}
//
//	@PayloadRoot(namespace = NAMESPACE_URI, localPart = "getSchemaRequest")
//	@ResponsePayload
//	public String GetSchema(String schemaCode)
//	{
//		return null;
//	}
//
//	@PayloadRoot(namespace = NAMESPACE_URI, localPart = "getSchemaListRequest")
//	@ResponsePayload
//	public String GetSchemaList()
//	{
//		return null;
//	}
//
//	@PayloadRoot(namespace = NAMESPACE_URI, localPart = "getListRequest")
//	@ResponsePayload
//	public String GetList(String userCode, String schemaCode, String filter)
//	{
//		return null;
//	}
//
//    //氚云后端调用的方法名
//	@PayloadRoot(namespace = NAMESPACE_URI, localPart = "invokeRequest")
//	@ResponsePayload
//	public String Invoke(String userCode, String schemaCode, String methodName, String param)
//	{
//        //书写调用第三方接口方法
//		return null;
//	}
}
